from vtk import *
from pathlib import Path
import sys
passed = True
# This does neither work on stable nor on sid. Hence commented!
#reader = vtkXMLPolyDataReader()
#print('checking vtktest-1D-leafview-nonconforming-appendedbase64.vtp')
#reader.SetFileName('vtktest-1D-leafview-conforming-appendedbase64.vtp')
#reader.Update()
#if (not (reader.GetOutput().GetNumberOfCells() > 0)):
#    print('ERROR in {}'.format('vtktest-1D-leafview-nonconforming-appendedbase64.vtp'))
#    passed = False
#else:
#    print('No Error')

# the rest works on stable but not on sid!
reader = vtkXMLPolyDataReader()
print('checking file ../test/vtktest-1D-leafview-nonconforming-appendedbase64.vtp')
reader.SetFileName('../test/vtktest-1D-leafview-nonconforming-appendedbase64.vtp')
reader.Update()
if (not (reader.GetOutput().GetNumberOfCells() > 0)):
    print('ERROR in {}'.format('../test/vtktest-1D-leafview-nonconforming-appendedbase64.vtp'))
    passed = False
else:
    print('No Error')
reader = vtkXMLPolyDataReader()
print('checking file ./vtktest-1D-leafview-nonconforming-appendedbase64.vtp')
reader.SetFileName('./vtktest-1D-leafview-nonconforming-appendedbase64.vtp')
reader.Update()
if (not (reader.GetOutput().GetNumberOfCells() > 0)):
    print('ERROR in {}'.format('./vtktest-1D-leafview-nonconforming-appendedbase64.vtp'))
    passed = False
else:
    print('No Error')

current = Path.cwd()
file = Path('../test/vtktest-1D-leafview-nonconforming-appendedbase64.vtp').resolve()
reader = vtkXMLPolyDataReader()
print('checking file ' +str(file))
reader.SetFileName(str(file))
reader.Update()
if (not (reader.GetOutput().GetNumberOfCells() > 0)):
    print('ERROR in {}'.format(file))
    passed = False
else:
    print('No Error')
file = Path('../test/vtktest-1D-leafview-nonconforming-appendedbase64.vtp')
reader = vtkXMLPolyDataReader()
print('checking file ' +str(file))
reader.SetFileName(str(file))
reader.Update()
if (not (reader.GetOutput().GetNumberOfCells() > 0)):
    print('ERROR in {}'.format(file))
    passed = False
else:
    print('No Error')

print (current)
